Subject: [keith at GSI-CAM: You'll take care of this I hope??]
To: jim@GSI-CAM

--Text Follows This Line--
Jim, what does "responsible for system software" mean to you?  We've
discussed my responsibilities quite a few times, and we agree on the
basic outlines, I think.  But perhaps it would help to delineate my
responsibilities and priorities more clearly, and communicate them to
the group at large.

My impression is that I am responsible for certain specific <functions>,
not for pieces of software.  It happens to be the case, right now, that
those functions (integration, system building, critical bugs, testing,
and so forth) are mostly concerned with the Lambda system software.

But: I AM <NOT> THE ONLY BUG FIXER.  I certainly don't have the time or
other resources (e.g., staff) to guarantee a favorable response to every
bug report or problem.  And I don't think William's enhancement requests
are top priority.  (Are they?)

And don't get me wrong -- I want to do the most important things, not
just what I want to do.  That is exactly why I don't want to get
side-tracked by trivial bugs and enhancements.

Perhaps I actually need to speak with William about the tone of his
message, which sounded impatient and unreasonable to me.  My sarcasm
stemmed from my frustration due to William's way of asking for help on
these kinds of matters.  And your phrase, "take care of this I hope??",
contributes to the same kind of pressure.

It seems like you and I are constantly asked to respond immediately to
urgent problems.  Not all of them are really urgent, and many of them
could (and should) be handled by others.  Could that be the reason why
many of the larger projects are always looming ahead of us and falling
behind?

Please set aside some time when we can discuss this.  I don't think I
should write up my self-evaluation until we've talked this one out.

Thanks,

   -Keith